var TestCase = mozlab.mozunit.TestCase;
var assert = mozlab.mozunit.assertions;

var tc = new TestCase('Rpn Calculator Testcase');

var module = new ModuleManager();
var rpncalc = module.require('package', 'calcurator');

tc.tests = {
    '2 1 +': function() {
        var calc = new rpncalc.Calcurator();
        calc.init();
        calc.push(2);
        calc.push(1);
        calc.plus();
        assert.equals(calc.pop(), 3);
    },
    '2 1 -': function() {
	var calc = new rpncalc.Calcurator();
	calc.init();
	calc.push(2);
	calc.push(1);
	calc.minus();
	assert.equals(calc.pop(), 1);
    },
    '2 3 * ': function() {
	var calc = new rpncalc.Calcurator();
	calc.init();
	calc.push(2);
	calc.push(3);
	calc.sub();
	assert.equals(calc.pop(), 6);
    },
    '10 4 / ': function() {
	var calc = new rpncalc.Calcurator();
	calc.init();
	calc.push(10);
	calc.push(4);
	calc.div();
	assert.equals(calc.pop(), 2.5);
    },
}
